<?php
/**
 * Single Product Thumbnails
 */

 global $post, $product, $woocommerce;

 $attachment_ids = $product->get_gallery_attachment_ids();

 if ( $attachment_ids ) {

		?>
		<div class="thumbnails">
		<div class="flexslider flexslider-product">
 			<ul class="slides">

		    <?php

      		$loop = 0;
      		$columns = apply_filters( 'woocommerce_product_thumbnails_columns', 3 );

      		foreach ( $attachment_ids as $attachment_id ) {

      			$classes = array( 'zoom' );

      			if ( $loop == 0 || $loop % $columns == 0 )
      				$classes[] = 'first';

      			if ( ( $loop + 1 ) % $columns == 0 )
      				$classes[] = 'last';

      			$image_link = wp_get_attachment_url( $attachment_id );

      			if ( ! $image_link )
      				continue;

      			$image= wp_get_attachment_image($attachment_id,'full');
      			$image_class = esc_attr( implode( ' ', $classes ) );
      			$image_title = esc_attr( get_the_title( $attachment_id ) );?>

			<li>
    			<?php echo $image; ?>
		    </li>

		    <?php
			
			$loop++;

		}

		?>
			</ul>
		</div>
		</div>
		<?php $slideshow_delay = of_get_option('ttrust_slideshow_delay'); ?>
		<?php $autoPlay = ($slideshow_delay != "0") ? 1 : 0; ?>
		<?php $slideshow_effect = of_get_option('ttrust_slideshow_effect'); ?>

		<script type="text/javascript" charset="utf-8">
		  jQuery(window).load(function() {
		    jQuery('.flexslider-product').flexslider({
		    	slideshowSpeed: <?php echo $slideshow_delay . '000'; ?>,  		
				slideshow: <?php echo $autoPlay; ?>,
				directionNav: true,
		    	animation: '<?php echo $slideshow_effect; ?>'				
		    });
		  });
		</script>

		<?php
		
	}
?>